Members

Add a member user to the organization

POST
/api/v1/members/add

Adds an existing workspace user to the current organization. If no user with the given email exists in the workspace, a new local account is automatically registered and then added to the organization.

If neither policyIds nor groupIds are provided, the organization's default permissions are applied to the new member.

Authorization

AccessToken
Authorization<token>

Use access token to access this API. Example: "Authorization: api-MzQ..."

In: header

Header Parameters

Organization?string

The organization ID associated with the request. Some APIs require this header to identify the organization context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Workspace?string

The workspace ID associated with the request. Some APIs require this header to identify the workspace context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/members/add" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "errors": [    "string"  ],  "data": true}